Bug 60574 - Error happens during kickstart install using NFS as well as FTP
Error happens during kickstart install using NFS as well as FTP
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-01 14:13 EST by Shivram Enjeti
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shivram Enjeti 2002-03-01 14:13:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try iinstalling using kickstart method ( NFS or FTP) 
2.
3.
	

Additional info:
Comment 1 Michael Fulbright 2002-03-05 12:31:24 EST
Please attach the kickstart file and more information on the problem which you
are experiencing.
Comment 2 Shivram Enjeti 2002-03-07 12:15:08 EST
--------------------------Begin ks.cfg File----------------------------------

#Generated by Kickstart Configurator
lang en_US
langsupport en_US
keyboard us
mouse msintellips/2 --device psaux
#Probe for Mouse
timezone --utc America/New_York
rootpw redhatnccu
reboot
bootloader --location=mbr 
install
nfs --server 152.9.58.35 --dir /var/ftp/pub
#url --url ftp://152.9.58.35/pub
clearpart --linux 
part / --fstype ext3 --size 256 
part /boot --fstype ext3 --size 20 
part /usr --fstype ext3 --size 2000 
part /var --fstype ext3 --size 256 
part /tmp --fstype ext3 --size 128 
part /home --fstype ext3 --size 256 
part  swap --size 128 
network --bootproto dhcp
auth  --useshadow  --enablemd5 
firewall --disabled 
xconfig  --depth 8 --resolution 640x480 --defaultdesktop=GNOME  --startxonboot -
-card "2 the Max MAXColor S3 Trio64V+" --videoram 256 --monitor "Aamazing CM-
8426"
%packages
@Printing Support
@Classic X Window System
@X Window System
@GNOME
@Network Support
@NFS File Server
@Windows File Server
@Anonymous FTP Server
@Web Server
@Router / Firewall
@DNS Name Server
@Network Managed Workstationbalsa
balsa
compat-libstdc++
mtr-gtk
gaim
libesmtp
xisdnload
magicdev
libpcap
exmh
licq
pan
SDL
rp3
rhn_register-gnome
xawtv
openssh-askpass
nmap-frontend
gnome-media
up2date-gnome
mozilla-psm
smpeg
openssh-askpass-gnome
SDL_net
SDL_image
SDL_mixer
vnc-server
htmlview
php-imap
redhat-config-network
netscape-communicator
xmms-gnome
bindconf
asp2php-gtk
vnc
mozilla-mail
xmms
apacheconf
gnome-lokkit
licq-gnome
netscape-common
galeon
gq
openssh-server
%post
perl -pi -e 's,Welcome to %n, My Kickstart system %n,' /etc/X11/gdm/gdm.conf
chkconfig sshd on

------------------------------- End of ks.cfg file-------------------------

The following error message appears on the screen. 
-------------------------------Begin Error Message-------------------------

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 335, in turnOnFilesystems
    thefsset.mountFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 927, in mountFilesystems
    entry.mount(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1063, in mount
    device = self.device.setupDevice(chroot, devPrefix=devPrefix)
  File "/usr/lib/anaconda/fsset.py", line 1228, in setupDevice
    self.level, self.numDisks)
  File "/usr/lib/anaconda/partitioning.py", line 221, in register_raid_device
    raise ValueError, "%s is already in the mdList!" % (mdname,)
ValueError: md1 is already in the mdList!

---------------------------------End of Error Message--------------------------
Comment 3 Jeremy Katz 2002-03-13 17:28:56 EST
Did you previously have any raid partitions on this system?
Comment 4 Shivram Enjeti 2002-03-15 10:26:29 EST
Your question was: +Did you previously have any raid partitions on this system?

Answer: No. 

Comment 5 Jeremy Katz 2002-04-10 14:41:43 EDT
Can you attach the entire traceback?  This is only the beginning bits, and for
some reason, a raid partition is trying to be registered although there are no
raid partitions defined in your kickstart config.  With the full traceback, I
can try to figure out where the RAID partition definition is coming from
Comment 6 Michael Fulbright 2002-05-06 14:28:30 EDT
Closing due to inactivity. Please reopen if there is new information regarding
the issue report.
Comment 7 Red Hat Bugzilla 2006-02-21 13:48:32 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.